import { ChoroplethLayer } from './choropleth-layer/newChoroplethLayer';
import { HeatLayer } from './heatmap-layer/HeatLayer';
import { NodeLinkLayer } from './nodelink-layer/NodeLinkLayer';
import { NodeLayer } from './node-layer/NodeLayer';
import { NodeIconLayer } from './icon-layer/IconLayer';
import NodeOptions from './node-layer/NodeOptions';
import NodeLinkOptions from './nodelink-layer/NodeLinkOptions';
import IconOptions from './icon-layer/IconOptions';
import HeatLayerOptions from './heatmap-layer/HeatLayerOptions';
import ChoroplethOptions from './choropleth-layer/ChoroplethOptions';

export const layerTypes: Record<string, any> = {
  node: NodeLayer,
  icon: NodeIconLayer,
  nodelink: NodeLinkLayer,
  heatmap: HeatLayer,
  // choropleth: ChoroplethLayer,
};

export const layerSettings: Record<string, any> = {
  node: NodeOptions,
  nodelink: NodeLinkOptions,
  icon: IconOptions,
  heatmap: HeatLayerOptions,
  // choropleth: ChoroplethOptions,
};
